Debian Bug report logs - #268896
resktop needs to be updated for krdc

version graph

Package: rdesktop; Maintainer for rdesktop is Laszlo Boszormenyi (GCS) <gcs@debian.hu>; Source for rdesktop is src:rdesktop.

Reported by: Riku Voipio <nchip@kos.to>

Date: Sun, 29 Aug 2004 18:03:03 UTC

Severity: important

Tags: fixed, patch

Merged with 269013

Found in versions 1.3.1, 1.3.1-1

Done: Tomas Fasth <tomfa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Sam Johnston <samj@aos.net.au>:
Bug#268896; Package rdesktop. Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <nchip@kos.to>:
New Bug report received and forwarded. Copy sent to Sam Johnston <samj@aos.net.au>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Riku Voipio <nchip@kos.to>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: resktop needs to be updated for krdc
Date: Sun, 29 Aug 2004 20:55:30 +0300
Package: rdesktop
Severity: important
Tags: patch

Hi,

krdc (Kde Remote Desktop Connection) needs a newer, unfortunatly
unreleased version of rdesktop to perform connections to RDP-based
servers (vnc works natively). There is patch at kde webcvs available
you can Apply, if you don't want to update to the cvs version of
rdekstop. Al the patch does is adds XEmbed support for embedding
rdesktop in another applications window.

http://webcvs.kde.org/cgi-bin/cvsweb.cgi/kdenetwork/krdc/rdp/rdesktop.patch?rev=1.1&content-type=text/x-cvsweb-markup

-- System Information:
Debian Release: 3.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i586)
Kernel: Linux 2.6.6
Locale: LANG=C, LC_CTYPE=fi_FI.ISO8859-1



Merged 268896 269013. Request was from nchip@uittosatama.fi (Riku Voipio) to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Sam Johnston <samj@aos.net.au>:
Bug#268896; Package rdesktop. Full text and rfc822 format available.

Acknowledgement sent to Lee Sanders <debian-bugs-2-337@ccp.com.au>:
Extra info received and forwarded to list. Copy sent to Sam Johnston <samj@aos.net.au>. Full text and rfc822 format available.

Message #12 received at 268896@bugs.debian.org (full text, mbox):

From: Lee Sanders <debian-bugs-2-337@ccp.com.au>
To: Debian Bug Tracking System <268896@bugs.debian.org>
Subject: rdesktop needs patch for krdc to work
Date: Tue, 28 Sep 2004 10:24:30 +0800
Package: rdesktop
Version: 1.3.1
Followup-For: Bug #268896


At the moment krdc is a core package, removing it removes kde and
knetwork. Due to the incompatability of krdc and rdesktop the developer
made it conflict with rdesktop. I have reported a bug on this and am now
reporting that rdesktop needs patching as shown below.

--- from the developer of krdc ----
KRDC in KDE 3.2 had its own RDP-backend. This basically was a built-in version of rdesktop 1.2.

For KDE 3.3, KRDC's RDP-backend has been rewritten to use an external rdesktop process. For this to work however, rdesktop itself has to be patched. This patch can be found in KDE CVS under kdenetwork/krdc/rdp (a README is there as well).

Unfortunately, no new versions of rdesktop have been released since the patch was applied to their CVS. This means you either need to patch rdesktop 1.3.1 yourself or you need to use a recent rdesktop CVS-snapshot. With a vanila rdesktop 1.3.1 or lower, KRDC 3.3 will _not_ work.
--- end snip ---

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.4.26v6
Locale: LANG=en_AU, LC_CTYPE=en_AU



Information forwarded to debian-bugs-dist@lists.debian.org, Sam Johnston <samj@aos.net.au>:
Bug#268896; Package rdesktop. Full text and rfc822 format available.

Acknowledgement sent to Jason Harrison <jharrison@linuxbs.org>:
Extra info received and forwarded to list. Copy sent to Sam Johnston <samj@aos.net.au>. Full text and rfc822 format available.

Message #17 received at 268896@bugs.debian.org (full text, mbox):

From: Jason Harrison <jharrison@linuxbs.org>
To: Debian Bug Tracking System <268896@bugs.debian.org>
Subject: kde cvs patch for rdesktop
Date: Tue, 28 Sep 2004 09:53:16 -0400
Package: rdesktop
Version: rdesktop
Followup-For: Bug #268896



-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.6.7-1-686
Locale: LANG=C, LC_CTYPE=C

Read this for how to use the rdesktop patch:

This patch is intended for rdesktop 1.3.1 only. It has not been tested
with other versions, and future versions should (hopefully) include it
by default.

- Get a copy of the rdesktop 1.3.1 sources and unpack it.
- Place the rdesktop.patch file in the top directory of the unpacked
  sources.
- Go to the directory where you placed the patch and type the following
  command: patch -p 0 -i rdesktop.patch
- You can now compile the sources as usual.

Here is the patch:

--- rdesktop.c.orig     2004-03-08 18:02:58.000000000 +0100
+++ rdesktop.c  2004-03-09 22:32:19.000000000 +0100
@@ -27,6 +27,7 @@
 #include <sys/time.h>          /* gettimeofday */
 #include <sys/times.h>         /* times */
 #include <errno.h>
+#include <X11/Xlib.h>           /* Window */
 #include "rdesktop.h"

 #ifdef EGD_SOCKET
@@ -68,6 +69,7 @@
 BOOL g_console_session = False;
 BOOL g_numlock_sync = False;
 extern BOOL g_owncolmap;
+extern Window g_embed_wnd;

 #ifdef WITH_RDPSND
 BOOL g_rdpsnd = False;
@@ -112,6 +114,7 @@
        fprintf(stderr, "   -S: caption button size (single application mode)\n");
        fprintf(stderr, "   -T: window title\n");
        fprintf(stderr, "   -N: enable numlock synchronisation\n");
+        fprintf(stderr, "   -X: embed into another window with a given id.\n");
        fprintf(stderr, "   -a: connection colour depth\n");
        fprintf(stderr, "   -r: enable specified device redirection (currently: sound)\n");
        fprintf(stderr, "   -0: attach to console\n");
@@ -224,6 +227,7 @@
        prompt_password = False;
        domain[0] = password[0] = shell[0] = directory[0] = 0;
        strcpy(keymapname, "en-us");
+       g_embed_wnd = 0;

 #ifdef RDP2VNC
 #define VNCOPT "V:Q:"
@@ -231,7 +235,7 @@
 #define VNCOPT
 #endif

-       while ((c = getopt(argc, argv, VNCOPT "u:d:s:c:p:n:k:g:fbeEmCDKS:T:Na:r:045h?")) != -1)
+       while ((c = getopt(argc, argv, VNCOPT "u:d:s:c:p:n:k:g:fbeEmCDKS:T:NX:a:r:045h?")) != -1)
        {
                switch (c)
                {
@@ -374,6 +378,10 @@
                                g_numlock_sync = True;
                                break;

+                        case 'X':
+                                g_embed_wnd = strtod(optarg, NULL);
+                                break;
+
                        case 'a':
                                g_server_bpp = strtol(optarg, NULL, 10);
                                if (g_server_bpp != 8 && g_server_bpp != 16 && g_server_bpp != 15
--- xwin.c.orig 2004-03-08 18:02:58.000000000 +0100
+++ xwin.c      2004-03-10 16:17:59.000000000 +0100
@@ -41,6 +41,7 @@
 static int g_x_socket;
 static Screen *g_screen;
 Window g_wnd;
+Window g_embed_wnd;
 BOOL g_enable_compose = False;
 static GC g_gc;
 static BOOL g_gc_initialized = False;
@@ -929,6 +930,11 @@
                XFree(sizehints);
        }

+        if ( g_embed_wnd )
+        {
+                XReparentWindow(g_display, g_wnd, g_embed_wnd, 0, 0);
+        }
+
        input_mask = KeyPressMask | KeyReleaseMask | ButtonPressMask | ButtonReleaseMask |
                VisibilityChangeMask | FocusChangeMask;

krdc needs rdesktop and should depend on it.

Regards,
Jason Harrison



Tags added: fixed Request was from Riku Voipio <riku.voipio@iki.fi> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Sam Johnston <samj@aos.net.au>:
Bug#268896; Package rdesktop. Full text and rfc822 format available.

Acknowledgement sent to Keith Matthews <keith@au.ibm.com>:
Extra info received and forwarded to list. Copy sent to Sam Johnston <samj@aos.net.au>. Full text and rfc822 format available.

Message #24 received at 268896@bugs.debian.org (full text, mbox):

From: Keith Matthews <keith@au.ibm.com>
To: Debian Bug Tracking System <268896@bugs.debian.org>
Subject: rdesktop: kde has just refreshed to new upstream release. Problem still occurs.
Date: Sun, 07 Nov 2004 13:21:47 +1100
Package: rdesktop
Version: 1.3.1-1
Followup-For: Bug #268896



Hi Sam,
FYI,

This problem has been around for months now. kde just updated to a new
updtream release and rdesktop still needs to be fixed 8-) FYI

kdenetwork & krdc are now at level 3.3.0-2


-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.9-1
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages rdesktop depends on:
ii  libc6                     2.3.2.ds1-18   GNU C Library: Shared libraries an
ii  libssl0.9.7               0.9.7d-5       SSL shared libraries
ii  xlibs                     4.3.0.dfsg.1-8 X Window System client libraries m



Reply sent to Tomas Fasth <tomfa@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Riku Voipio <nchip@kos.to>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #29 received at 268896-done@bugs.debian.org (full text, mbox):

From: Tomas Fasth <tomfa@debian.org>
To: 268896-done@bugs.debian.org
Subject: Re: rdesktop needs to be updated for krdc
Date: Mon, 18 Apr 2005 20:45:53 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Rdesktop version 1.4.0 is now available in unstable.

$ rdesktop --help 2>&1 | egrep Version\|embed
Version 1.4.0. Copyright (C) 1999-2005 Matt Chapman.
   -X: embed into another window with a given id.

- --
Tomas Fasth <tomfa@debian.org>
GnuPG 0x9FE8D504
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.0 (MingW32)
Comment: Using GnuPG with Thunderbird - http://enigmail.mozdev.org

iD8DBQFCZABhwYdzVZ/o1QQRAssWAJ97vylSFWuNwUDvu5dx3dXiULzguACgjmqg
K0KhCqa+o7hbKdOHy/j+Di0=
=qptY
-----END PGP SIGNATURE-----



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:43:00 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.